[ARVADOS] updated: 1e19bc12a83dacf4a40d1c0d358aae48b6588a58

Git user git at public.curoverse.com
Wed Dec 28 10:29:33 EST 2016


Summary of changes:
 build/run-build-docker-images.sh         | 2 +-
 tools/arvbox/lib/arvbox/docker/common.sh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

       via  1e19bc12a83dacf4a40d1c0d358aae48b6588a58 (commit)
      from  b27f1106beb0fb321ee123501afb5ccf2354a363 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 1e19bc12a83dacf4a40d1c0d358aae48b6588a58
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Wed Dec 28 10:29:30 2016 -0500

    Arvbox common.sh script won't fail if bundler gem not cached on disk.
    Don't push docker images if build fails.  no issue #

diff --git a/build/run-build-docker-images.sh b/build/run-build-docker-images.sh
index a7dc30c..73f1e2d 100755
--- a/build/run-build-docker-images.sh
+++ b/build/run-build-docker-images.sh
@@ -148,7 +148,7 @@ title "uploading images"
 
 timer_reset
 
-if [[ "$ECODE" != "0" ]]; then
+if [[ "$EXITCODE" != "0" ]]; then
     title "upload arvados images SKIPPED because build failed"
 else
     if [[ $upload == true ]]; then
diff --git a/tools/arvbox/lib/arvbox/docker/common.sh b/tools/arvbox/lib/arvbox/docker/common.sh
index fa91b04..8488ed8 100644
--- a/tools/arvbox/lib/arvbox/docker/common.sh
+++ b/tools/arvbox/lib/arvbox/docker/common.sh
@@ -40,7 +40,7 @@ run_bundler() {
         frozen=""
     fi
     if ! test -x bundle ; then
-        bundlergem=$(ls -r $GEM_HOME/cache/bundler-*.gem 2>/dev/null | head -n1)
+        bundlergem=$(ls -r $GEM_HOME/cache/bundler-*.gem 2>/dev/null | head -n1 || true)
         if test -n "$bundlergem" ; then
             flock /var/lib/gems/gems.lock gem install --local --no-document $bundlergem
         else

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list